#
# spec file for package perl-Unicode-Map8
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Unicode-Map8
Version:        0.13
Release:        25.3
%define cpan_name Unicode-Map8
Summary:        Mapping table between 8-bit chars and Unicode
License:        GPL-1.0+ or Artistic-1.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Unicode-Map8/
Source:         http://www.cpan.org/authors/id/G/GA/GAAS/%{cpan_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Unicode::String) >= 2
Requires:       perl(Unicode::String) >= 2
%{perl_requires}
# MANUAL BEGIN
Patch0:         Unicode-Map8-%{version}-type.diff
Patch1:         Unicode-Map8-%{version}-declaration.diff
# MANUAL END

%description
The Unicode::Map8 class implements efficient mapping tables between
8-bit character sets and 16-bit character sets like Unicode. The tables
are efficient both in terms of space allocated and translation speed.
The 16-bit strings are assumed to use network byte order.

%prep
%autosetup -p0 -n Unicode-Map8-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes diff_iso make_rfc1345_maps make_unicd_maps map8_bin2txt map8_txt2bin README rfc1345.txt umap

%changelog
* Mon Mar  4 2024 pgajdos@suse.com
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  %%patchN
* Sat Jan 18 2014 coolo@suse.com
- use new perl template, fix license
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Sun Aug 28 2011 andrea.turrini@gmail.com
- fixed typos in perl-Unicode-Map8.spec
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Mon Jan 25 2010 anicka@suse.cz
- update to 0.13
  * Header order tweak to make it compile with Strawberry Perl
  [RT#50443]
  * Get rid of CVS artifacts
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sun Jan 11 2004 adrian@suse.de
- build as user
* Fri Aug 22 2003 mjancar@suse.cz
- require the perl version we build with
* Thu Jul 17 2003 mjancar@suse.cz
- adapt to perl-5.8.1
- use %%perl_process_packlist
* Mon May 19 2003 ro@suse.de
- remove perllocal.pod
* Tue Apr 29 2003 mjancar@suse.cz
- update to version 0.12
- used $RPM_OPT_FLAGS
- fixed function prototype
* Thu Nov 28 2002 prehak@suse.cz
- fixed data types
- enabled make test for ppc64 and s390x
* Wed Aug 21 2002 prehak@suse.cz
- disabled make test on ppc64 and s390x
* Tue Jul  2 2002 mls@suse.de
- remove race in .packlist generation
* Tue Jan 15 2002 rvasice@suse.cz
- update to version 0.11
* Wed Aug 15 2001 rvasice@suse.cz
- initial package release (version 0.10)
